SurfaceManager
Class defined in packages/surface/SurfaceManager.js#5
new SurfaceManager()
Constructor defined in packages/surface/SurfaceManager.js#6
this.getSurface()
Method defined in packages/surface/SurfaceManager.js#38

- Get Surface instance
- @param {String} name Name under which the surface is registered
- @return {ui/Surface} The surface instance

this.getFocusedSurface()
Method defined in packages/surface/SurfaceManager.js#49

- Get the currently focused Surface.
- @return {ui/Surface} Surface instance

this.registerSurface()
Method defined in packages/surface/SurfaceManager.js#60

- Register a surface
- @param surface {ui/Surface} A new surface instance to register

this.unregisterSurface()
Method defined in packages/surface/SurfaceManager.js#69

- Unregister a surface
- @param surface {ui/Surface} A surface instance to unregister